# DeviceEmail

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Provides methods to access the device's email client.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceEmail
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceEmail
```

{% endtab %}
{% endtabs %}

Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceEmail()

Initializes a new instance of [DeviceEmail](/hybrid/start/api/communication/wisej.hybrid.deviceemail.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsComposeSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets whether composing emails is supported on the client device.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)Compose(email, attachments)

Composes a new email with the given attachments.

| Parameter                                        | Type                                                                                                         | Description            |
| ------------------------------------------------ | ------------------------------------------------------------------------------------------------------------ | ---------------------- |
| **email**                                        | [EmailMessage](/hybrid/start/api/communication/wisej.hybrid.shared.communication.emailmessage.md)            | The email to compose.  |
| **attachments** ![](/files/hKoZkt511VItWvI9RDIT) | [Dictionary\<String, Stream>](https://docs.microsoft.com/dotnet/api/system.collections.generic.dictionary-2) | The email attachments. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/communication/wisej.hybrid.deviceemail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
